From: Vincent Bernat <bernat@debian.org>
Date: Sun, 12 Nov 2017 20:51:16 +0100
Subject: Add missing zconfig/component.xml file for tests

---
 raven/contrib/zconfig/component.xml | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100644 raven/contrib/zconfig/component.xml

diff --git a/raven/contrib/zconfig/component.xml b/raven/contrib/zconfig/component.xml
new file mode 100644
index 0000000..716d71d
--- /dev/null
+++ b/raven/contrib/zconfig/component.xml
@@ -0,0 +1,24 @@
+<component>
+  <description>
+  </description>
+
+  <import package="ZConfig.components.logger" file="abstract.xml"/>
+
+  <sectiontype name="sentry"
+               datatype="raven.contrib.zconfig.Factory"
+               implements="ZConfig.logger.handler"
+               extends="ZConfig.logger.base-log-handler">
+    <key name="dsn" required="no"/>
+    <key name="site" required="no"/>
+    <key name="name" required="no"/>
+    <key name="release" required="no"/>
+    <key name="environment" required="no"/>
+    <key name="exclude_paths" required="no" datatype="string-list"/>
+    <key name="include_paths" required="no" datatype="string-list"/>
+    <key name="sample_rate" required="no" datatype="float" default="1.0" />
+    <key name="list_max_length" required="no" datatype="integer"/>
+    <key name="string_max_length" required="no" datatype="integer"/>
+    <key name="auto_log_stacks" required="no" datatype="boolean"/>
+    <key name="processors" required="no" datatype="string-list"/>
+  </sectiontype>
+</component>
